Subject: Re: bug#61640: 30.0.50; Help Elisp xref recognize defclass parent classes

From: Dmitry Gutov <[email-masked]>
Date: Mon, 20 Feb 2023 03:05:31 +0200

Version: 30.1

On 20/02/2023 01:45, Eric Abrahamsen wrote:
> Shouldn't this instead be an addition to `elisp-mode-infer-namespace',
> like with p8 below?
> 
>    (elisp-mode-test--with-buffer
>        (concat "(list {p1}alpha {p2}beta)\n"
>                "(progn {p3}gamma {p4}delta)\n"
>                "(lambda ({p5}epsilon {p6}zeta) {p7}eta)\n"
>                "(defclass child-class (parent-1 {p8}parent-2)\n")
>      (should (equal (elisp--xref-infer-namespace p1) 'variable))
>      (should (equal (elisp--xref-infer-namespace p2) 'variable))
>      (should (equal (elisp--xref-infer-namespace p3) 'variable))
>      (should (equal (elisp--xref-infer-namespace p4) 'variable))
>      (should (equal (elisp--xref-infer-namespace p5) 'variable))
>      (should (equal (elisp--xref-infer-namespace p6) 'variable))
>      (should (equal (elisp--xref-infer-namespace p7) 'variable))
>      (should (equal (elisp--xref-infer-namespace p8) 'function)))
> 
> Obviously just guessing here...

It seems you're right, thanks.

I've put the test case separately and pushed the combined change to 
master, commit cac13e36054.

That fixes the bug in my testing, but please do tell if something else 
comes up.